Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 1903273003: [Extensions] Sprinkle in some more null protos and defineProperty's (Closed)

Created:
3 years ago by Devlin
Modified:
3 years ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Extensions] Sprinkle in some more null protos and defineProperty's BUG=591164 BUG=604901 Committed: https://crrev.com/fda8f6e80af3e5c08905624f356a75b05d27dd39 Cr-Commit-Position: refs/heads/master@{#388994}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Robs #

Unified diffs Side-by-side diffs Delta from patch set Stats (+16 lines, -9 lines) Patch
M extensions/renderer/resources/binding.js View 1 3 chunks +16 lines, -9 lines 0 comments Download

Messages

Total messages: 13 (6 generated)
Devlin
3 years ago (2016-04-21 02:02:55 UTC) #3
robwu
https://codereview.chromium.org/1903273003/diff/1/extensions/renderer/resources/binding.js File extensions/renderer/resources/binding.js (right): https://codereview.chromium.org/1903273003/diff/1/extensions/renderer/resources/binding.js#newcode30 extensions/renderer/resources/binding.js:30: this.unavailableApiFunctions_ = { __proto: null }; Typo: __proto -> ...
3 years ago (2016-04-21 10:29:33 UTC) #5
Devlin
https://codereview.chromium.org/1903273003/diff/1/extensions/renderer/resources/binding.js File extensions/renderer/resources/binding.js (right): https://codereview.chromium.org/1903273003/diff/1/extensions/renderer/resources/binding.js#newcode30 extensions/renderer/resources/binding.js:30: this.unavailableApiFunctions_ = { __proto: null }; On 2016/04/21 10:29:33, ...
3 years ago (2016-04-21 18:28:30 UTC) #6
asargent_no_longer_on_chrome
lgtm
3 years ago (2016-04-21 22:14:13 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1903273003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1903273003/20001
3 years ago (2016-04-22 00:30:42 UTC) #9
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years ago (2016-04-22 01:17:47 UTC) #11
commit-bot: I haz the power
3 years ago (2016-04-22 19:43:12 UTC) #13
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/fda8f6e80af3e5c08905624f356a75b05d27dd39
Cr-Commit-Position: refs/heads/master@{#388994}

Powered by Google App Engine
This is Rietveld 408576698